<html>
<h2>Exocomp Documentation</h2>
Treewalker is for generating the interactive tree of a phasertng database directory for display in a browser.<br><br>
<h2> <a id="modes">Modes</a></h2>
<table>
<tr><td><a href="#mode_chk">chk</a>    </td>
<td><b>Initialize</b>
<br>Initialize a script<br>
Input Keywords:   <br>
Result Keywords:  <br>
</td>
<tr><tr><td><a href="#mode_tree">tree</a>   </td>
<td><b>Tree analysis of directories</b>
<br>Generates pyvis html file and analysis of the dag directory structure<br>
Input Keywords:   <a href="#graph_report">graph_report</a> <a href="#mode">mode</a> <a href="#overwrite">overwrite</a> <a href="#suite">suite</a> <a href="#title">title</a> <br>
Result Keywords:  <a href="#notifications">notifications</a> <a href="#overwrite">overwrite</a> <a href="#title">title</a> <br>
</td>
<tr></table><br>
<a id="reference"><h2>Keyword Colour Reference</h2></a>
<span style="color:DarkBlue"><b>Input Keywords:</b> You need to enter some of these, with which ones dependent on the mode or voyager script and how your data are prepared</span><br>
<span style="color:DarkOrange"><b>Basic Keywords:</b> You can safely change these to modify the results</span><br>
<span style="color:Maroon"><b>Expert Keywords:</b> You should not change these unless you know what you are doing</span><br>
<span style="color:DarkGreen"><b>Logging Keywords:</b> No change to result of a given node, only to logging and what is passed between nodes</span><br>
<span style="color:Grey"><b>Developer Keywords:</b> You can't change these, they are used for control in voyager scripting</span><br>
<span style="color:Silver"><b>Debugging Keywords:</b> Change these to break the software</span><br>
<br>
<h2>Input Keywords:</h2>
<b>You need to enter some of these, with which ones dependent on the mode or voyager script and how your data are prepared</b><br>
<h3><a id="suite">suite</a> </h3><span style="color:DarkBlue"><b>phasertng.suite.database &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspPath to database.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h2>Basic Keywords:</h2>
<b>You can safely change these to modify the results</b><br>
<h3><a id="overwrite">overwrite</a> </h3><span style="color:DarkOrange"><b>phasertng.overwrite &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspOverwrite the results with new results even if job has been previously run.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;True&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="suite">suite</a> </h3><span style="color:DarkOrange"><b>phasertng.suite.kill_file &lt;directory/file&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspKill execution if this file is present.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.suite.kill_time &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTimeout in minutes for progress loop calculations within selected modes. Default value is suitable for default number of processors. Reduce this if you have more processors, increase if you have fewer. Zero for no termination.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;10&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="title">title</a> </h3><span style="color:DarkOrange"><b>phasertng.title &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTitle.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h2>Expert Keywords:</h2>
<b>You should not change these unless you know what you are doing</b><br>
<h2>Logging Keywords:</h2>
<b>No change to result of a given node, only to logging and what is passed between nodes</b><br>
<h3><a id="graph_report">graph_report</a> </h3><span style="color:DarkGreen"><b>phasertng.graph_report.best_solution &lt;int&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspSelection of best solution from list of solutions.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;1&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 1<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.graph_report.filestem &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspFilestem for additional output files reporting on the graph loops in pathways.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;"graph_report"&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="suite">suite</a> </h3><span style="color:DarkGreen"><b>phasertng.suite.level &lt;default silence process concise summary logfile verbose testing&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspOutput level to send to output stream.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;default&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.loggraphs &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspPrint Loggraph output to logfile.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.store &lt;default silence process concise summary logfile verbose testing&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspHighest output level to generate and store.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;default&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_cards &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite cards files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_data &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite data files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_density &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite density files for the solution coordinate files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_files &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite miscellaneous files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_log &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite log files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_phil &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite phil files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_xml &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite xml files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><br>
<h2>All Keywords</h2>
<h3><a id="graph_report">graph_report</a> </h3><span style="color:DarkGreen"><b>phasertng.graph_report.filestem &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspFilestem for additional output files reporting on the graph loops in pathways.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;"graph_report"&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.graph_report.best_solution &lt;int&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspSelection of best solution from list of solutions.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;1&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 1<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="notifications">notifications</a> </h3><span style="color:Grey"><b>phasertng.notifications.hires &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspHigh resolution limit for data that are available.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.notifications.advisory &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspAdvisory message.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = True<br>
<span style="color:Grey"><b>phasertng.notifications.warning &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWarning message.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = True<br>
<span style="color:Grey"><b>phasertng.notifications.git_revision &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspgit revision short hash.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.notifications.success &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspsuccess (true) or failure (false).<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;True&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.notifications.error.type &lt;success parse syntax input fileset fileopen memory killfile killtime fatal result unhandled unknown stdin developer python assert&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspError type thrown.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;success&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.notifications.error.message &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspError message.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.notifications.error.code &lt;int&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspError code returned to operating system.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.notifications.result.subdir &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspResult cards subdir.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.notifications.result.filename_in_subdir &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspResult cards without subdir prefix.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="overwrite">overwrite</a> </h3><span style="color:DarkOrange"><b>phasertng.overwrite &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspOverwrite the results with new results even if job has been previously run.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;True&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="suite">suite</a> </h3><span style="color:DarkGreen"><b>phasertng.suite.level &lt;default silence process concise summary logfile verbose testing&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspOutput level to send to output stream.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;default&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.store &lt;default silence process concise summary logfile verbose testing&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspHighest output level to generate and store.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;default&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_phil &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite phil files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_cards &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite cards files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_files &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite miscellaneous files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_data &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite data files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_density &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite density files for the solution coordinate files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_log &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite log files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_xml &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite xml files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.suite.kill_file &lt;directory/file&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspKill execution if this file is present.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.suite.kill_time &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTimeout in minutes for progress loop calculations within selected modes. Default value is suitable for default number of processors. Reduce this if you have more processors, increase if you have fewer. Zero for no termination.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;10&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.loggraphs &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspPrint Loggraph output to logfile.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkBlue"><b>phasertng.suite.database &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspPath to database.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="title">title</a> </h3><span style="color:DarkOrange"><b>phasertng.title &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTitle.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br>
</html>
